aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorVictor Morales <victor.morales@intel.com>2018-10-01 08:49:07 -0700
committerVictor Morales <victor.morales@intel.com>2018-10-01 08:49:07 -0700
commit8f0bc42ea9614d3be4ee823bb187f5dcc2ef2d8b (patch)
tree682c62b0e45c7916125e9baf801b8704df481030
parent145648701486244f632cc6aaaa0f70a252db829a (diff)
Enable Nested Virtualization in Nodes
Compute nodes require to enable Nested-Virtualization to smooth the provisioning of Virtual Machines using Virtlet Kubernetes Add. This change includes the instructions to enable it in the Nodes. Change-Id: I61d13ebbdbc0abc208042dde56d4d6b498570955 Signed-off-by: Victor Morales <victor.morales@intel.com> Issue-ID: MULTICLOUD-301
-rwxr-xr-xvagrant/node.sh4
1 files changed, 4 insertions, 0 deletions
diff --git a/vagrant/node.sh b/vagrant/node.sh
index e6702457..5edc3a3c 100755
--- a/vagrant/node.sh
+++ b/vagrant/node.sh
@@ -53,3 +53,7 @@ if [[ -n "${dict_volumes+x}" ]]; then
mount_external_partition ${kv%=*} ${kv#*=}
done
fi
+rmmod kvm-intel
+echo 'options kvm-intel nested=y' >> /etc/modprobe.d/dist.conf
+modprobe kvm-intel
+grep -q -i ^Y$ /sys/module/kvm_intel/parameters/nested || { echo "Nested virtualization is not enabled"; exit 1; }